# Generated by Selenium IDE
import pytest
import time
from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.common.keys import Keys
from selenium.webdriver.common.desired_capabilities import DesiredCapabilities
from selenium.webdriver import ChromeOptions
from selenium.common.exceptions import NoSuchElementException


class Test_checkout():
  def setup_method(self, method):
    #configure chrome in headless to work in containers
    options = ChromeOptions()
    options.add_argument('--headless')
    options.add_argument('--disable-extensions')
    options.add_argument("--no-sandbox")
    self.driver = webdriver.Remote('http://localhost:4444/wd/hub', options.to_capabilities())

    self.driver.get("http://localhost:8000/")
    self.driver.set_window_size(1116, 864)
    self.driver.find_element(By.CSS_SELECTOR, ".site-menu > li:nth-child(2) > a").click()
    self.driver.find_element(By.CSS_SELECTOR, "a > h3").click()
    self.driver.find_element(By.ID, "id_quantity").click()
    self.driver.find_element(By.ID, "id_quantity").send_keys("1")
    dropdown = self.driver.find_element(By.ID, "id_colour")
    dropdown.find_element(By.XPATH, "//option[. = 'green']").click()
    self.driver.find_element(By.ID, "id_colour").click()
    dropdown = self.driver.find_element(By.ID, "id_size")
    dropdown.find_element(By.XPATH, "//option[. = 's']").click()
    self.driver.find_element(By.ID, "id_size").click()
    self.driver.find_element(By.CSS_SELECTOR, ".btn").click()

  def teardown_method(self, method):
    self.driver.quit() 
  
  def test_is_item_size_s(self):
    
    self.driver.get("http://localhost:8000/")
    self.driver.set_window_size(1116, 864)
    self.driver.find_element(By.CSS_SELECTOR, ".fa-shopping-cart").click()
    sizetext = self.driver.find_elements_by_xpath('/html/body/div/div[3]/div/div[1]/div/div/table/tbody/tr/td[2]/small[1]')
    
    for el in sizetext:
      assert el.get_attribute("innerHTML") == "Size: s"

  def test_is_item_colour_green(self):

    self.driver.get("http://localhost:8000/")
    self.driver.set_window_size(1116, 864)
    self.driver.find_element(By.CSS_SELECTOR, ".fa-shopping-cart").click()
    sizetext = self.driver.find_elements_by_xpath('/html/body/div/div[3]/div/div[1]/div/div/table/tbody/tr/td[2]/small[2]')
    
    for el in sizetext:
      assert el.get_attribute("innerHTML") == "Colour: green"



    

